%define api_version	1
%define lib_major	0
%define lib_name	%mklibname %{name} %{api_version} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	Library used to monitor application startup
Name:		startup-notification
Version:	0.12
Release:	%mkrel 9
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.freedesktop.org/
Source0:	http://www.freedesktop.org/software/%{name}/releases/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(xcb-util)
BuildRequires:	pkgconfig(x11)

%description
Startup-notification is a library used to monitor application startup.

%package -n %{lib_name}
Summary:	Library used to monitor application startup
Group:		System/Libraries
Provides:	lib%{name}-%{api_version} = %{version}-%{release}
Obsoletes:	%{_lib}startup-notification-1_0 < 0.12-5

%description -n %{lib_name}
Startup-notification is a library used to monitor application startup.

%package -n %{develname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	%{_lib}startup-notification-1-devel < 0.12-5

%description -n %{develname}
This package contains the development files and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%doc ChangeLog
%{_libdir}/lib%{name}-%{api_version}.so.%{lib_major}
%{_libdir}/lib%{name}-%{api_version}.so.%{lib_major}.*

%files -n %develname
%{_libdir}/lib%{name}-%{api_version}.so
%{_libdir}/pkgconfig/lib%{name}-1.0.pc
%{_includedir}/startup-notification-1.0/


%changelog
* Sat Jan 30 2016 umeabot <umeabot> 0.12-9.mga6
+ Revision: 929071
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.12-8.mga5
+ Revision: 743141
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12-7.mga5
+ Revision: 689530
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.12-6.mga4
+ Revision: 529067
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 wally <wally> 0.12-5.mga4
+ Revision: 449796
- fix pkg names
- drop old obsoletes
- clean .spec a bit

* Mon Jan 14 2013 umeabot <umeabot> 0.12-4.mga3
+ Revision: 383379
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 22 2011 wally <wally> 0.12-3.mga3
+ Revision: 171067
- disable static build
- drop .la files

* Wed Jul 06 2011 ahmad <ahmad> 0.12-2.mga2
+ Revision: 119301
- Rebuild for new xcb-utils

* Tue Jul 05 2011 dmorgan <dmorgan> 0.12-1.mga2
+ Revision: 118779
- New version 0.12

* Wed Jan 12 2011 blino <blino> 0.10-6.mga1
+ Revision: 6674
- remove old ldconfig scriptlets
- imported package startup-notification


* Wed Dec 15 2010 Funda Wang <fwang@mandriva.org> 0.10-5mdv2011.0
+ Revision: 621895
- rebuild for BS monster

* Wed Dec 15 2010 Funda Wang <fwang@mandriva.org> 0.10-4mdv2011.0
+ Revision: 621884
- reduce BR

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-3mdv2011.0
+ Revision: 607752
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-2mdv2010.1
+ Revision: 524135
- rebuilt for 2010.1

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 0.10-1mdv2010.0
+ Revision: 371622
- update build deps
- update license
- update to new version 0.10

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9-7mdv2009.0
+ Revision: 225478
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9-6mdv2008.1
+ Revision: 179532
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 02 2007 Andreas Hasenack <andreas@mandriva.com> 0.9-5mdv2008.0
+ Revision: 47113
- fix wrong obsoletes (#31644)

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 0.9-4mdv2008.0
+ Revision: 45151
- rebuild (-devel got lost somehow)

* Tue Jun 26 2007 Thierry Vignaud <tv@mandriva.org> 0.9-3mdv2008.0
+ Revision: 44462
- update buildrequires to new xorg

* Fri Jun 22 2007 Thierry Vignaud <tv@mandriva.org> 0.9-2mdv2008.0
+ Revision: 43087
- new devel library policy


* Sat Apr 07 2007 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2007.1
+ Revision: 150956
- new version
- Import startup-notification

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.8-3mdv2007.0
- Rebuild

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.8-2mdk
- Rebuild

* Thu Dec 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- new source URL
- New release 0.8

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- fix source url
- reenable libtoolize
- New release 0.7

